.DetailsHeader {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
    background: white;
    padding: 20px;
    border-radius: 10px;
    -webkit-box-shadow: 3px 3px 15px 4px rgba(0, 0, 0, 0.58);
    box-shadow: 3px 3px 15px 4px rgba(0, 0, 0, 0.2);
}